Subject: GDM: Memory leak in .gnome-shell-real process

From: sirgazil <[email-masked]>
Date: Thu, 19 Mar 2020 13:13:32 -0500

I tried a virtual machine with my system configuration during 4 hours and couldn't reproduce the leak (I used "guix system vm"). ".gnome-shell-real" kept using about 260 MiB of RAM and it actually went down to 220 at some point.

In 4 hours, in my real system, the leak would have been visible.

I'm planning to create another virtual machine with "guix system vm-image" instead to install all the packages I have in my user profile and leave it running overnight to see if there is any difference.